---
title: Update row
url: https://anyrow.ai/docs/api/rows/update
canonical_url: https://anyrow.ai/docs/api/rows/update
---

# Update row

`PATCH /v1/projects/{project_id}/tables/{table_id}/rows/{row_id}`

Authentication: `Authorization: ApiKey {your_api_key}`.

## Path parameters

- `project_id` (string, required)
- `table_id` (string, required)
- `row_id` (string, required)

## Request body

Content type: `application/json` (required).

A object.

## Returns

200 `application/json`.

## Errors

- 404: `not_found`, `row_not_found`, `table_not_found`

Errors every endpoint can return: [Errors](https://anyrow.ai/docs/api/errors.md).

## Request

```ts title="Node.js"
import { AnyrowSDK } from "@anyrow/sdk"

const anyrow = new AnyrowSDK({
  baseURL: "https://api.anyrow.ai",
  headers: { Authorization: `ApiKey ${process.env.ANYROW_API_KEY}` },
})

const { data, error } = await anyrow.row.update({
  params: {
    project_id: "{project_id}",
    table_id: "{table_id}",
    row_id: "{row_id}"
  },
  json: {},
})
```

```bash title="cURL"
curl -X PATCH 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}' \
  -H 'Authorization: ApiKey {your_api_key}' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

```js title="JavaScript"
const response = await fetch("https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}", {
  method: "PATCH",
  headers: {
    Authorization: "ApiKey {your_api_key}",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({}),
})
const data = await response.json()
```

```python title="Python"
import requests

response = requests.patch(
    "https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}",
    headers={
        "Authorization": "ApiKey {your_api_key}",
    },
    json={},
)
print(response.json())
```

## Response

```json title="200"
{}
```
